Instale nosso aplicativo 🪄 Clique no ícone no canto superior direito da barra de endereços.

Saved views

GET https://analyticse.com/api/dashboard-views/
curl --request GET \
--url 'https://analyticse.com/api/dashboard-views/' \
--header 'Authorization: Bearer {api_key}' \
Parâmetros Detalhes Descrição
website_id Opcional Inteiro
search Opcional String A string de busca.
search_by Opcional String Qual campo você está pesquisando? Os valores permitidos são: name.
datetime_field Opcional String Valores permitidos: datetime, last_datetime
datetime_start Opcional String Data de início
datetime_end Opcional String Data de fim
order_by Opcional String Qual campo ordenar os resultados. Os valores permitidos são: dashboard_view_id, website_id, user_id, name, datetime, last_datetime.
order_type Opcional String A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente.
page Opcional Inteiro O número da página de onde você deseja os resultados. O padrão é 1.
results_per_page Opcional Inteiro Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25.
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "name": "Example",
            "filters": [
                {
                    "by": "country_code",
                    "rule": "is",
                    "value": "US"
                }
            ],
            "datetime": "2026-09-12 00:50:00",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://analyticse.com/api/dashboard-views?page=1",
        "last": "https://analyticse.com/api/dashboard-views?page=1",
        "next": null,
        "prev": null,
        "self": "https://analyticse.com/api/dashboard-views?page=1"
    }
}
GET https://analyticse.com/api/dashboard-views/{dashboard_view_id}
curl --request GET \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "filters": [
            {
                "by": "country_code",
                "rule": "is",
                "value": "US"
            }
        ],
        "datetime": "2026-09-12 00:50:00",
        "last_datetime": null
    }
}
POST https://analyticse.com/api/dashboard-views
Parâmetros Detalhes Descrição
website_id Requerido Inteiro -
name Requerido String -
filters Requerido String JSON encoded array with by, rule, and value.
curl --request POST \
--url 'https://analyticse.com/api/dashboard-views' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "filters": [
            {
                "by": "country_code",
                "rule": "is",
                "value": "US"
            }
        ],
        "datetime": "2026-09-12 00:50:00",
        "last_datetime": null
    }
}
POST https://analyticse.com/api/dashboard-views/{dashboard_view_id}
Parâmetros Detalhes Descrição
website_id Opcional Inteiro -
name Opcional String -
filters Opcional String JSON encoded array with by, rule, and value.
curl --request POST \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "filters": [
            {
                "by": "country_code",
                "rule": "is",
                "value": "US"
            }
        ],
        "datetime": "2026-09-12 00:50:00",
        "last_datetime": "2026-09-12 00:50:00"
    }
}
DELETE https://analyticse.com/api/dashboard-views/{dashboard_view_id}
curl --request DELETE \
--url 'https://analyticse.com/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \